--- old/usr/src/tools/codereview/codereview.1onbld	Tue Oct  6 20:55:30 2015
+++ new/usr/src/tools/codereview/codereview.1onbld	Tue Oct  6 20:55:30 2015
@@ -19,7 +19,7 @@
 .\"
 .\" Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms.
-.TH codereview 1ONBLD "August 5, 2008"
+.TH CODEREVIEW 1ONBLD "Aug 5, 2008"
 .UC
 .SH NAME
 codereview \- Diff list generator
@@ -73,7 +73,9 @@
 The default is not to perform page reversal,
 which is correct for printers like the NEC Silentwriter LC-890.
 .SH FILES
+.nf
 /tmp/lwlpXXXXXX		\- temporary file used for page reversal
+.fi
 .SH LIMITATIONS
 The maximum input line length is 1024 characters.
 This should not present a problem
@@ -82,7 +84,6 @@
 .SH NOTES
 The command
 .sp 0.5v
-.ti +0.4i
 pageview -right -h 17 -w 11 -Ws 1100 850 -dpi 100 out.ps
 .sp 0.5v
 is useful for displaying the results of
--- old/usr/src/tools/codesign/signit.1onbld	Tue Oct  6 20:55:30 2015
+++ new/usr/src/tools/codesign/signit.1onbld	Tue Oct  6 20:55:30 2015
@@ -21,15 +21,13 @@
 .\" Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms.
 .\"
-.TH signit 1ONBLD "13 June 2007"
+.TH SIGNIT 1ONBLD "Jun 13, 2007"
 .SH NAME
 .I signit
 \- sign files using code signing server
 .SH SYNOPSIS
 \fBsignit [-q] [-i dir] [-o dir] [-l user]\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "signit" "" "\fBsignit\fP"
 .LP
 .I signit
 is the client program for use with Sun's code signing server. It
@@ -37,7 +35,6 @@
 from standard input. Each file is read from the input directory,
 sent to the signing server, signed with the specified credential,
 and written to the output directory.
-.LP
 .SH OPTIONS
 .LP
 The following options are supported:
@@ -45,19 +42,16 @@
 .B \-q
 Quiet operation: This option suppresses printing the names of files
 that are signed successfully.
-.LP
 .TP 4
 .B -i \fIdir\fP
 Specifies the base input directory from which the relative pathnames
 of files to be signed are interpreted. If not specified, the
 input directory defaults to the current directory.
-.LP
 .TP 4
 .B -o \fIdir\fP
 Specifies the base output directory to which signed files
 are written.  If not specified, the
 output directory matches the input directory.
-.LP
 .TP 4
 .B -l \fIuser\fP
 Specifies the user login name on the code signing server. If not
@@ -64,24 +58,18 @@
 specified, the login name of the user running
 .I signit
 is used.
-.LP
 .SH ENVIRONMENT
-.LP
 .TP 4
 .B CODESIGN_SERVER
 Specifies the hostname or IP address of the code signing server. If
 this variable is not set, it defaults to quill.sfbay.
-.LP
 .SH EXIT STATUS
 .LP
 The following exit status values are returned:
 .IP "\fB0\fR" 4
-.IX Item "0"
 All specified files were signed successfully.
 .IP "\fB1\fR" 4
-.IX Item "1"
 One or more files were not signed successfully.
-.LP
 .SH SEE ALSO
 .LP
 signproto(1ONBLD)
--- old/usr/src/tools/codesign/signproto.1onbld	Tue Oct  6 20:55:30 2015
+++ new/usr/src/tools/codesign/signproto.1onbld	Tue Oct  6 20:55:30 2015
@@ -21,19 +21,17 @@
 .\" Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms.
 .\"
-.TH signproto 1ONBLD "13 June 2007"
+.TH SIGNPROTO 1ONBLD "Jun 13, 2007"
 .SH NAME
 .I signproto
 \- sign ELF objects in proto area
 .SH SYNOPSIS
 \fBsignproto \fIcred_file\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "signproto" "" "\fBsignproto\fP"
 .LP
 .I signproto
 finds ELF objects in the ON proto area and re-signs them
-using 
+using
 .IR signit (1ONBLD).
 This operation is normally invoked only for
 release builds, as it replaces the internal development
@@ -45,30 +43,26 @@
 Cryptographic modules are identified by examining the signature
 embedded by
 .IR elfsign (1)
-during the build process. 
+during the build process.
 .I signproto
 requires a single command-line argument, which is a file containing
 the mapping between each signing server credential name and the Subject
-Distinguished Name (DN) of the certificate used to 
+Distinguished Name (DN) of the certificate used to
 sign the ELF file. Each line in the file contains a credential name
 followed by a regular expression. The first regular expression that
-matches the Subject DN embedded in the ELF file determines the 
+matches the Subject DN embedded in the ELF file determines the
 credential name passed to
 .I signit
 to re-sign the file.
-.LP
 .SH ENVIRONMENT
-.LP
 .TP 4
 .B CODESIGN_USER
 Login name for the code signing server passed to
 .I signit .
 If this variable is not set, the value in LOGNAME is used instead.
-.LP
 .TP 4
 .B ROOT
 Location of ON proto area containing files to be signed.
-.LP
 .SH SEE ALSO
 .LP
 signit(1ONBLD), elfsign(1)
--- old/usr/src/tools/cw/cw.1onbld	Tue Oct  6 20:55:31 2015
+++ new/usr/src/tools/cw/cw.1onbld	Tue Oct  6 20:55:31 2015
@@ -21,15 +21,13 @@
 .\" Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms.
 .\"
-.TH cw 1ONBLD "22 March 2010"
+.TH CW 1ONBLD "Mar 22, 2010"
 .SH NAME
 .I cw
 \- invoke one or more compilers with argument translation
 .SH SYNOPSIS
 \fBcw {-_cc|-_gcc|-_CC|-_g++} [options] [compiler args...]\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "cw" "" "\fBcw\fP"
 .LP
 .I cw
 is a facility for invoking one or more compilers, providing
@@ -40,7 +38,6 @@
 obtained from both.  See SHADOW COMPILATION for details.  This version
 of cw supports Sun Studio 10 and 11 and gcc 3.4.3 as shipped in
 Solaris.
-.LP
 .SH ARGUMENTS
 .LP
 Exactly one of the following arguments is required, and must appear
@@ -57,7 +54,6 @@
 .TP 4
 .B \-_g++
 Select GNU C++ (g++) as the primary compiler.
-.LP
 .SH OPTIONS
 .LP
 The following options are supported:
@@ -67,7 +63,6 @@
 full path to the primary compiler that would be invoked.  If this
 option is given, it must appear immediately following the compiler
 selection argument, and all other options will be disregarded.
-.LP
 .TP 4
 .B \-_versions
 Print the cw version, followed in turn by the path to and versions
@@ -74,17 +69,14 @@
 of each compiler which would be invoked.  If this option is given,
 it must appear immediately following the compiler selection argument,
 and all other options will be disregarded.
-.LP
 .TP 4
 .B \-_noecho
 Normally, cw writes to standard error the actual compiler commands
 invoked, each prefixed with '+'.  This option suppresses these
 messages.
-.LP
 .TP 4
 .B \-_cc=,\-_gcc=,\-_CC=,\-g++=
 Pass compiler-dependent options.  See ARGUMENT TRANSLATION.
-.LP
 .SH SHADOW COMPILATION
 .LP
 Unless otherwise directed by environment variables (see ENVIRONMENT),
@@ -95,7 +87,6 @@
 invoked in parallel with the primary (but see ENVIRONMENT); its
 arguments will likewise be translated.  However, the shadow compiler's
 arguments will also be modified as follows:
-.LP
 .TP 4
 .B 1.
 If none of \fI-c\fP, \fI-E\fP, \fI-P\fP, or \fI-S\fP appears in the
@@ -102,17 +93,14 @@
 argument list (that is, linking is attempted), the shadow compiler
 will not be invoked.  This is because the objects built with that
 compiler which would be linked have been previously discarded.
-.LP
 .TP 4
 .B 2.
 If an option of the form \fI-ofilename\fP was provided, it will be
 replaced by two options of the form \fI-o\fP \fItempfile\fP.
-.LP
 .TP 4
 .B 3.
 If the option \fI-o\fP was provided, its following argument will be
 replaced by \fItempfile\fP.
-.LP
 .TP 4
 .B 4.
 If neither of the above options was provided, two options of the
@@ -137,21 +125,17 @@
 \fBcw\fP does not accept multiple source files unless the
 preprocessor is to be invoked.  An attempt to invoke \fBcw\fP in
 this manner will result in an error.
-.LP
 .SH ARGUMENT TRANSLATION
 .LP
 The arguments provided to \fBcw\fP will be passed through to each
 compiler invoked, altered as follows:
-.LP
 .TP 4
 .B 1.
 Options intended for \fBcw\fP itself are removed.
-.LP
 .TP 4
 .B 2.
 The shadow compiler's arguments are modified as described in
 SHADOW COMPILATION so that its output is discarded.
-.LP
 .TP 4
 .B 3.
 If the compiler to be invoked is a GNU C or C++ compiler, a set of
@@ -163,7 +147,6 @@
 leading portion removed.  Arguments which begin with \fI-_cc=\fP or
 \fI-_CC=\fP will be discarded.  See the comments at the head of
 \fIusr/src/tools/cw/cw.c\fP for a detailed list of translations.
-.LP
 .TP 4
 .B 4.
 If the compiler to be invoked is a Studio C or C++ compiler, the
@@ -172,14 +155,11 @@
 \fI-_CC=\fP will be passed in place with the leading portion removed.
 Arguments which begin with \fI-_gcc=\fP or \fI-_g++=\fP will be
 discarded.
-.LP
 .SH ENVIRONMENT
-.LP
 .TP 4
 .B CW_NO_SHADOW
 If this variable is set in the environment, invoke only the
 primary compiler.
-.LP
 .TP 4
 .B CW_SHADOW_SERIAL
 If this variable is set in the environment, invoke the primary compiler,
@@ -186,18 +166,15 @@
 wait for it to complete, then invoke the shadow compiler.  Normally
 the two compilers are invoked in parallel.  If CW_NO_SHADOW is set,
 this has no effect.
-.LP
 .TP 4
 .B CW_NO_EXEC
 If this variable is set in the environment, write the usual output to
 standard error but do not actually invoke any compiler.  This is
 useful for debugging the translation engine.
-.LP
 .TP 4
 .B CW_CC, CW_CPLUSPLUS
 If these variables are set in the environment, they specify the full
 pathname for the Studio C and C++ compilers, respectively.
-.LP
 .TP 4
 .B CW_CC_DIR, CW_CPLUSPLUS_DIR, SPRO_VROOT, SPRO_ROOT, BUILD_TOOLS
 If CW_CC or CW_CPLUSPLUS are not set,
@@ -215,12 +192,10 @@
 in \fI$BUILD_TOOLS/SUNWspro/SS12/bin\fP will be used.
 Otherwise, the Studio compilers in a predefined default location
 will be used.
-.LP
 .TP 4
 .B CW_GCC, CW_GPLUSPLUS
 If these variables are set in the environment, they specify the full
 pathname for the GNU C and C++ compilers, respectively.
-.LP
 .TP 4
 .B CW_GCC_DIR, CW_GPLUSPLUS_DIR, GNU_ROOT
 If CW_GCC or CW_GPLUSPLUS are not set,
@@ -234,19 +209,15 @@
 in \fI$GCC_ROOT/bin\fP will be used.
 Otherwise, the GNU compilers in a predefined default location
 will be used.
-.LP
 .SH EXIT STATUS
 .LP
 The following exit status values are returned:
 .IP "\fB0\fR" 4
-.IX Item "0"
 The primary compiler, and shadow compiler if invoked, both completed
 successfully.
 .IP "\fB>0\fR" 4
-.IX Item ">0"
 A usage error occurred, or one or more compilers returned a nonzero
 exit status.
-.LP
 .SH BUGS
 .LP
 The translations provided for gcc are not always exact and in some
@@ -255,7 +226,6 @@
 Additional compiler types should be supported.
 .LP
 The translation engine is hacky.
-.LP
 .SH SEE ALSO
 .LP
 cc(1), CC(1), gcc(1)
--- old/usr/src/tools/findunref/findunref.1onbld	Tue Oct  6 20:55:31 2015
+++ new/usr/src/tools/findunref/findunref.1onbld	Tue Oct  6 20:55:31 2015
@@ -19,15 +19,13 @@
 .\"
 .\" Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms.
-.TH findunref 1ONBLD "Oct 30, 2012"
+.TH FINDUNREF 1ONBLD "Oct 30, 2012"
 .I findunref
 \- find unused files in a source tree
 .SH SYNOPSIS
 findunref [\fB-s\fP \fIsubtree\fP] [\fB-t\fP \fItstampfile\fP]
 [\fB-S\fP \fBhg\fP|\fBtw\fP|\fBgit\fP] \fIsrcroot\fP \fIexceptfile\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "findunref" "" "\fBfindunref\fP"
 .LP
 The findunref utility lists the files in a source tree which have not been
 accessed more recently than a particular timestamp file.  Although
--- old/usr/src/tools/lintdump/lintdump.1onbld	Tue Oct  6 20:55:31 2015
+++ new/usr/src/tools/lintdump/lintdump.1onbld	Tue Oct  6 20:55:31 2015
@@ -19,14 +19,12 @@
 .\" "
 .\" "Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 .\" "Use is subject to license terms.
-.TH lintdump 1ONBLD "28 Mar 2008"
+.TH LINTDUMP 1ONBLD "Mar 28, 2008"
 .I lintdump
 \- dump the contents of one or more lint objects
 .SH SYNOPSIS
 \fBlintdump [-i] [-p 1|2|3] [-r] \fIlintobj\fP [ \fIlintobj\fP ... ]
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "lintdump" "" "\fBlintdump\fP"
 .LP
 The lintdump utility dumps the contents of one or more lint
 objects.  This is chiefly useful when trying to understand the cause of
@@ -57,7 +55,7 @@
 which indicate the source or header file that is responsible for the
 records that follow.  The remaining record types provide lint with
 information about the functions, variables, and structures defined or used
-by the object. 
+by the object.
 .SH OPTIONS
 .TP 10
 .B -i
@@ -68,7 +66,6 @@
 .TP 10
 .B -r
 Output records using relative paths (see EXAMPLES).
-.LP
 .SH OUTPUT
 .LP
 The contents of each specified \fIlintobj\fP is dumped in command-line
@@ -152,13 +149,11 @@
    FILE: liba.c
          int af(void) <returns value>;
 .fi
-.LP
 .SH RECORD PROPERTIES
 .LP
 As discussed in OUTPUT, some records are displayed using an extended
 format to convey information that cannot be expressed in C.  The following
 extended information may be displayed:
-.RE
 .LP
 .B <PRINTFLIKE\fIn\fP>
 .RS 4
@@ -202,7 +197,6 @@
 .RS 4
 Indicates to lint that the function returns a value.
 .RE
-.LP
 .SH EXAMPLES
 .LP
 One common problem is that lint does not always provide sufficient
@@ -308,7 +302,6 @@
 Note that -r option removes spurious differences that would otherwise
 arise from different absolute paths to the same source file, and the -i
 option removes spurious differences due to ID generation inside lint.
-.LP
 .SH SEE ALSO
 .LP
 .IR lint(1),
--- old/usr/src/tools/ndrgen/ndrgen.1onbld	Tue Oct  6 20:55:31 2015
+++ new/usr/src/tools/ndrgen/ndrgen.1onbld	Tue Oct  6 20:55:31 2015
@@ -22,7 +22,7 @@
 .\" Use is subject to license terms.
 .\"
 '\" te
-.TH ndrgen 1ONBLD "22 October 2007" "SunOS 5.11" "User Commands"
+.TH NDRGEN 1ONBLD "Oct 22, 2007"
 .SH NAME
 ndrgen \- NDL RPC protocol compiler
 .SH SYNOPSIS
@@ -32,7 +32,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBndrgen\fR utility is a tool that generates C code to implement a DCERPC/MSRPC Network Data Representation (NDR) protocol. The input to \fBndrgen\fR is a language similar to C known as Network Data Language (NDL).
 .sp
@@ -132,7 +131,6 @@
 The following terminology is used in the subsequent discussion of NDR.
 .sp
 .ne 2
-.mk
 .na
 \fBSize\fR
 .ad
@@ -143,7 +141,6 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBLength\fR
 .ad
@@ -154,7 +151,6 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBKnown\fR
 .ad
@@ -165,7 +161,6 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBDetermined\fR
 .ad
@@ -176,7 +171,6 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBFixed\fR
 .ad
@@ -197,7 +191,6 @@
 The following DCE RPC terminology is used in the subsequent discussion.
 .sp
 .ne 2
-.mk
 .na
 \fBConformant\fR
 .ad
@@ -207,10 +200,9 @@
 .sp
 
 .RE
-
 .sp
 .ne 2
-.mk
+
 .na
 \fBVarying\fR
 .ad
@@ -229,7 +221,6 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBVarying and Conformant\fR
 .ad
@@ -247,7 +238,6 @@
 .RE
 
 .SS "Strings"
-.sp
 .LP
 DCE RPC strings are represented as varying or varying and conformant one-dimensional arrays. Characters can be single-byte or multi-byte as long as all characters conform to a fixed element size. For instance, UCS-2 is valid, but UTF-8 is not a valid DCE RPC string format. The string is terminated by a null character of the appropriate element size.
 .sp
@@ -305,7 +295,6 @@
 .LP
 Here, \fIlength\fR is the array length in bytes excluding any terminating null bytes and \fImaxlen\fR is the array length in bytes including the terminating null bytes.
 .SS "NDL Syntax"
-.sp
 .LP
 The \fBndrgen\fR input must be a valid C header file. Thus, NDL is defined by using macros to map to DCE RPC IDL. The following shows the mappings:
 .sp
@@ -350,22 +339,18 @@
 .in -2
 
 .SH OPTIONS
-.sp
 .LP
 The \fBsmbutil\fR command supports the following global option:
 .sp
 .ne 2
-.mk
 .na
 \fB\fB-Y\fR\fR
 .ad
 .RS 13n
-.rt  
 Specifies the path to the \fBcpp\fR program.
 .RE
 
 .SH EXAMPLES
-.sp
 .LP
 The following is an example NDL header file:
 .sp
@@ -461,53 +446,43 @@
 .in -2
 
 .SH EXIT STATUS
-.sp
 .LP
 The following exit values are returned:
 .sp
 .ne 2
-.mk
 .na
 \fB0\fR
 .ad
 .RS 13n
-.rt  
 Successful operation.
 .RE
 
 .sp
 .ne 2
-.mk
 .na
 \fB>0\fR
 .ad
 .RS 13n
-.rt  
 An error occurred.
 .RE
 
 .SH ATTRIBUTES
-.sp
-.LP
 See the \fBattributes\fR(5) man page for descriptions of the following attributes:
 .sp
 
 .sp
 .TS
-tab() box;
-cw(2.75i) |cw(2.75i) 
-lw(2.75i) |lw(2.75i) 
-.
-ATTRIBUTE TYPEATTRIBUTE VALUE
+box;
+cw | cw
+lw | lw .
+ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
-AvailabilitySUNWbtool
+Availability	SUNWbtool
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBcpp\fR(1), \fBrpcgen\fR(1), \fBcc\fR(1B), \fBattributes\fR(5)
 .SH BUGS
-.sp
 .LP
 Some \fBcpp\fR(1) macros used by \fBndrgen\fR are not understood by \fB/usr/bin/cpp\fR or \fB/usr/sfw/bin/cpp\fR. Simple NDL files generally do not pose a problem. If problems occur, for example, when using unions, use \fB/usr/libexec/cpp\fR or \fBcw\fR.
--- old/usr/src/tools/scripts/Install.1onbld	Tue Oct  6 20:55:31 2015
+++ new/usr/src/tools/scripts/Install.1onbld	Tue Oct  6 20:55:31 2015
@@ -21,7 +21,7 @@
 .\"
 .\" CDDL HEADER END
 .\"
-.TH Install 1ONBLD "14 Jan 2010"
+.TH INSTALL 1ONBLD "Jan 14, 2010"
 .SH NAME
 Install \- install a kernel from an ON workspace
 .SH SYNOPSIS
@@ -96,7 +96,10 @@
 must be a built ON workspace \(em
 .B Install
 will not automatically invoke
-.BR make "(1).  If " \-w " is not specified, " Install " uses the current
+.BR make (1) .
+If \-w is not specified,
+.B Install
+uses the current
 workspace (as indicated by $CODEMGR_WS).  If there is no current workspace,
 .B Install
 checks to see if you are in an appropriate source directory, e.g. uts/sun4c;
@@ -215,7 +218,7 @@
 .RB `` "Install -l my_ws.sun4c -t machine:/" ''
 installs a system you previously built with
 .B "-L"
-(from sun4c files in my_ws) on 
+(from sun4c files in my_ws) on
 .IR machine:/ .
 This is equivalent to typing
 .RB `` "rsh machine '(cd /; tar xvf -)' <~/LibInstall/my_ws.sun4c.tar" '',
@@ -263,11 +266,15 @@
 by creating a .Installrc file in your home directory.  .Installrc
 should consist of a list of command-line-style options, e.g:
 .LP
+.nf
 .B
 	-w /ws/foo
+.fi
 .br
+.nf
 .B
 	-t labmachine:/mnt -pv
+.fi
 .LP
 .B Install
 processes default options first, then .Installrc
@@ -279,13 +286,21 @@
 you will need to do the following on the target machine:
 .LP
 .br
+.nf
 	(1) add your machine name to the /etc/hosts.equiv file
+.fi
 .br
+.nf
 	(2) add your username to the /etc/{passwd,shadow} files
+.fi
 .br
+.nf
 	(3) chown -R yourself /kernel /usr/kernel
+.fi
 .br
+.nf
 	(4) chmod -R u+w /kernel /usr/kernel
+.fi
 .SH "ENVIRONMENT"
 .LP
 You can set the following variables in your environment:
@@ -320,7 +335,6 @@
 INSTALL_RCP [default: rcp -p]
 .IP
 the command to copy files remotely
-.bp
 .SH "EXAMPLES"
 .LP
 .B
--- old/usr/src/tools/scripts/bringovercheck.1onbld	Tue Oct  6 20:55:32 2015
+++ new/usr/src/tools/scripts/bringovercheck.1onbld	Tue Oct  6 20:55:32 2015
@@ -20,7 +20,7 @@
 .\" Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms.
 .\"
-.TH bringovercheck 1ONBLD "7 April 2006"
+.TH BRINGOVERCHECK 1ONBLD "Apr 7, 2006"
 .SH NAME
 .I bringovercheck
 \- Repair misordered workspace timestamps
--- old/usr/src/tools/scripts/cddlchk.1onbld	Tue Oct  6 20:55:32 2015
+++ new/usr/src/tools/scripts/cddlchk.1onbld	Tue Oct  6 20:55:32 2015
@@ -20,7 +20,7 @@
 .\" Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms.
 .\"
-.TH cddlchk 1ONBLD "1 June 2008"
+.TH CDDLCHK 1ONBLD "Jun 1, 2008"
 .SH NAME
 cddlchk \- Check for valid CDDL header blocks
 .SH SYNOPSIS
@@ -27,14 +27,10 @@
 .nf
 \fBcddlchk \fR [\fB-av\fR] [\fB-x\fR \fIexceptions_file\fR] [\fIpath\fR...]
 .fi
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "cddlchk" "" "\fBcddlchk\fP"
 cddlchk inspects files for missing, obsolete, or corrupt Common
 Development and Distribution License (CDDL) header blocks.
-.LP
 .SH OPTIONS
-.LP
 .TP 4
 .B \-a
 Check that all the specified files have a CDDL block, and report a
@@ -41,11 +37,9 @@
 warning if any do not.
 If this flag is not specified, only files containing an existing CDDL
 block are validated.
-.LP
 .TP 4
 .B \-v
 Report on all files, not just those with invalid headers
-.LP
 .TP 4
 .B \-x \fIexceptions_file\fR
 Load an exceptions file containing a list of files, directories and
@@ -69,18 +63,15 @@
 .el o
 File extensions, specified with a leading '*.'
 .RE
-.LP
 .SH EXIT STATUS
 .TP 4
 .B 0
 The command completed successfully.
 No errors or warnings were reported
-.LP
 .TP 4
 .B 1
 The command completed unsuccessfully.
 One or more errors or warnings were reported.
-.LP
 .TP 4
 .B 2
 Invalid command-line arguments were specified to the command.
--- old/usr/src/tools/scripts/check_rtime.1onbld	Tue Oct  6 20:55:32 2015
+++ new/usr/src/tools/scripts/check_rtime.1onbld	Tue Oct  6 20:55:32 2015
@@ -19,15 +19,13 @@
 .\"
 .\" CDDL HEADER END
 .\"
-.TH check_rtime 1ONBLD "09 March 2010"
+.TH CHECK_RTIME 1ONBLD "Mar 09, 2010"
 .SH NAME
 .I check_rtime
 \- check ELF runtime attributes
 .SH SYNOPSIS
 \fBcheck_rtime [-imosv] [-D depfile | -d depdir] [-E errfile] [-e exfile] [-f listfile] [-I infofile] [-w outdir] file | dir, ...\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "check_rtime" "" "\fBcheck_rtime\fP"
 .LP
 .I check_rtime
 attempts to check a number of ELF runtime attributes
@@ -100,7 +98,7 @@
 or \fBPARENT\fP symbol attribute. Without these symbol attributes,
 \fBldd(1)\fP is unable to determine the symbols special nature, and
 .I check_rtime
-will report these symbols as undefined. 
+will report these symbols as undefined.
 .RE
 .TP
 \(bu
@@ -244,7 +242,9 @@
 .RS 6
 foo: application requires non-executable stack \\
 .br
+.nf
 	<no -Mmapfile_noexstk?>
+.fi
 .RE
 .sp
 .TP
@@ -259,7 +259,9 @@
 .RS 6
 foo: application requires non-executable data \\
 .br
+.nf
 	<no -Mmapfile_noexdata?>
+.fi
 .RE
 .sp
 .TP
@@ -273,9 +275,9 @@
 .I check_rtime
 enforces the rule that only one symbol can appear in the sort sections for
 any given address.
-There are two common ways in which multiple symbols 
+There are two common ways in which multiple symbols
 or a given address occur in the ON distribution. The first is from
-code written in assembly language. The second is as a 
+code written in assembly language. The second is as a
 result of using \fB#pragma weak\fP in C to create weak symbols. The
 best solution to this
 situation is to modify the code to avoid symbol aliasing. Alternatively,
@@ -307,7 +309,9 @@
 .RS 6
 foo: object has no direct bindings \\
 .br
+.nf
 	<no -B direct or -z direct?>
+.fi
 .RE
 
 .sp
@@ -362,9 +366,7 @@
 do not necessarily indicate an error condition, but
 provides information that is often useful for gatekeepers to track
 changes in a release.
-.RE
 .sp
-.LP
 .SH OPTIONS
 .LP
 The following options are supported:
@@ -381,7 +383,7 @@
 are mutually exclusive.
 .TP 4
 .B \-E errfile
-Direct error messages for the analyzed objects to \fIerrfile\fP instead 
+Direct error messages for the analyzed objects to \fIerrfile\fP instead
 of stdout.
 .TP 4
 .B \-e exfile
@@ -422,7 +424,6 @@
 .TP
 .B -w outdir
 Interpret the paths of all input and output files relative to \fIoutdir\fP.
-.LP
 .SH EXCEPTION FILE FORMAT
 Exceptions to the rules enforced by
 .I check_rtime
@@ -436,13 +437,13 @@
 will use
 .I /opt/onbld/etc/exception_list/check_rtime
 as a fallback default exception file.
-.p
+.P
 To run
 .I check_rtime
 without applying exceptions, specify \fB-e\fP with a value of /dev/null.
 .P
 A '#' character at the beginning of a line, or at any point in
-a line when preceded by whitespace, introduces a comment. Empty lines, 
+a line when preceded by whitespace, introduces a comment. Empty lines,
 and lines containing only comments, are ignored by
 .I check_rtime.
 Exceptions are specified as space separated keyword, and \fBperl(1)\fP
@@ -476,12 +477,10 @@
 are:
 .sp
 .ne 2
-.mk
 .na
 \fBEXEC_DATA\fR
 .ad
 .RS 17n
-.rt
 .sp
 Executables that are not required to have non-executable writable
 data segments
@@ -489,12 +488,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBEXEC_STACK\fR
 .ad
 .RS 17n
-.rt
 .sp
 Executables that are not required to have a non-executable stack
 .RE
@@ -501,25 +498,21 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBNOCRLEALT\fR
 .ad
 .RS 17n
-.rt
 .sp
-Objects that should be skipped when building the alternative dependency 
+Objects that should be skipped when building the alternative dependency
 mapping via the \fB-d\fP option.
 .RE
 
 .sp
 .ne 2
-.mk
 .na
 \fBNODIRECT\fR
 .ad
 .RS 17n
-.rt
 .sp
 Directories and files that are allowed to have no direct bound symbols.
 .RE
@@ -526,12 +519,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBNOSYMSORT\fR
 .ad
 .RS 17n
-.rt
 .sp
 Files for which we skip checking of duplicate addresses in the
 symbol sort sections.
@@ -539,12 +530,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBOLDDEP\fR
 .ad
 .RS 17n
-.rt
 .sp
 Objects that used to contain system functionality that has since
 migrated to libc. We preserve these libraries as pure filters for
@@ -553,12 +542,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBSKIP\fR
 .ad
 .RS 17n
-.rt
 .sp
 Directories and/or individual objects to skip. Note that SKIP should be
 a last resort, used only when one of the other exceptions will not suffice.
@@ -566,12 +553,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBSTAB\fR
 .ad
 .RS 17n
-.rt
 .sp
 Objects that are allowed to contain debugging information (stabs).
 .RE
@@ -578,12 +563,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBTEXTREL\fR
 .ad
 .RS 17n
-.rt
 .sp
 Objects for which we allow relocations to the text segment.
 .RE
@@ -590,12 +573,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBUNDEF_OBJ\fR
 .ad
 .RS 17n
-.rt
 .sp
 Objects that are allowed to be unreferenced.
 .RE
@@ -602,12 +583,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBUNDEF_REF\fR
 .ad
 .RS 17n
-.rt
 .sp
 Objects that are allowed undefined references.
 .RE
@@ -614,12 +593,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBUNUSED_DEPS\fR
 .ad
 .RS 17n
-.rt
 .sp
 Objects that are allowed to have unused dependencies.
 .RE
@@ -626,12 +603,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBUNUSED_OBJ\fR
 .ad
 .RS 17n
-.rt
 .sp
 Objects that are always allowed to be unused dependencies.
 .RE
@@ -638,17 +613,14 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBUNUSED_RPATH\fR
 .ad
 .RS 17n
-.rt
 .sp
 Objects that are allowed to have unused runpath directories.
 .RE
 
-.LP
 .SH ALTERNATIVE DEPENDENCY MAPPING
 .I check_rtime
 was primarily designed to process a nightly builds \fB$ROOT\fP
@@ -674,7 +646,6 @@
 area will bind to its dependencies found in the \fIproto\fP area.
 Dependencies that have no alternative mapping will continue to
 bind to the underlying system.
-.LP
 .SH ENVIRONMENT VARIABLES
 .LP
 When the \fB-D\fP or \fB-d\fP option isn't in use,
@@ -701,7 +672,6 @@
 \fB-u\fP option which only detects unused references.  If the following
 environment variable exists, and indicates an earlier release than \fB5.10\fP
 then \fBldd(1)\fP also falls back to using the \fB-u\fP option.
-.RE
 .LP
 .B RELEASE
 .RS 4
@@ -719,7 +689,6 @@
 .RS 4
 foo: has wrong class or data encoding
 .RE
-.LP
 .SH FILES
 .LP
 .RS 5
--- old/usr/src/tools/scripts/checkpaths.1onbld	Tue Oct  6 20:55:32 2015
+++ new/usr/src/tools/scripts/checkpaths.1onbld	Tue Oct  6 20:55:32 2015
@@ -21,15 +21,13 @@
 .\"
 .\" CDDL HEADER END
 .\"
-.TH checkpaths 1ONBLD "25 September 2003"
+.TH CHECKPATHS 1ONBLD "Sep 25, 2003"
 .SH NAME
 .I checkpaths
 \- check file path containing files
 .SH SYNOPSIS
 \fBcheckpaths [-b] [root_paths...]\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "checkpaths" "" "\fBcheckpaths\fP"
 .LP
 .I checkpaths
 inspects the contents of various files within an OS-Net workspace to
@@ -46,7 +44,6 @@
 but if full build(s) are not available under the
 \fI$CODEMGR_WS/proto/\fP directory, then the corresponding exclusion
 lists are not verified.
-.LP
 .SH OPTIONS
 .LP
 The following options are supported:
@@ -56,7 +53,6 @@
 should be set if the \fI$CODEMGR_WS/proto/\fP directory exists, but
 the contents are known to be bad.  \fBnightly(1ONBLD)\fP will typically set
 this flag if the build fails.
-.LP
 .TP 4
 .B root_paths...
 By default, checkpaths validates all of the proto areas for known
@@ -64,7 +60,6 @@
 To specify other root directories, list them as arguments on the
 command line.  It is an error if any of the root paths specified does
 not end with a known architecture.
-.LP
 .SH ENVIRONMENT VARIABLES
 .LP
 .B CODEMGR_WS
@@ -78,6 +73,5 @@
 The location of your ON source tree.  Defaults to
 \fI$CODEMGR_WS/usr/src/\fP if not specified.
 .RE
-.LP
 .SH SEE ALSO
 .B nightly(1ONBLD).
--- old/usr/src/tools/scripts/cstyle.1onbld	Tue Oct  6 20:55:32 2015
+++ new/usr/src/tools/scripts/cstyle.1onbld	Tue Oct  6 20:55:32 2015
@@ -20,25 +20,22 @@
 .\"
 .\" CDDL HEADER END
 .\"
-.TH cstyle 1ONBLD "28 March 2005"
+.TH CSTYLE 1ONBLD "Mar 28, 2005"
 .SH NAME
 .I cstyle
 \- check for some common stylistic errors in C source files
 .SH SYNOPSIS
 \fBcstyle [-chpvCP] [-o constructs] [file...]\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "cstyle" "" "\fBcstyle\fP"
 .LP
 .I cstyle
 inspects C source files (*.c and *.h) for common sylistic errors.  It
-attempts to check for the cstyle documented in 
+attempts to check for the cstyle documented in
 \fI/shared/ON/general_docs/cstyle.ms.pdf\fP.  Note that there is much
 in that document that
 .I cannot
 be checked for; just because your code is \fBcstyle(1ONBLD)\fP clean does not
 mean that you've followed Sun's C style.  \fICaveat emptor\fP.
-.LP
 .SH OPTIONS
 .LP
 The following options are supported:
@@ -50,27 +47,22 @@
 spaces from the start line.  This option enables a series of checks
 designed to find contination line problems within functions only.  The
 checks have some limitations;  see CONTINUATION CHECKING, below.
-.LP
 .TP 4
 .B \-h
 Performs heuristic checks that are sometimes wrong.  Not generally used.
-.LP
 .TP 4
 .B \-p
 Performs some of the more picky checks.  Includes ANSI #else and #endif
 rules, and tries to detect spaces after casts.  Used as part of the
 putback checks.
-.LP
 .TP 4
 .B \-v
 Verbose output;  includes the text of the line of error, and, for
 \fB-c\fP, the first statement in the current continuation block.
-.LP
 .TP 4
 .B \-C
 Ignore errors in header comments (i.e. block comments starting in the
 first column).  Not generally used.
-.LP
 .TP 4
 .B \-P
 Check for use of non-POSIX types.  Historically, types like "u_int" and
@@ -77,50 +69,40 @@
 "u_long" were used, but they are now deprecated in favor of the POSIX
 types uint_t, ulong_t, etc.  This detects any use of the deprecated
 types.  Used as part of the putback checks.
-.LP
 .TP 4
 .B \-o \fIconstructs\fP
 Allow a comma-seperated list of additional constructs.  Available
 constructs include:
-.LP
 .TP 10
 .B doxygen
 Allow doxygen-style block comments (\fB/**\fP and \fB/*!\fP)
-.LP
 .TP 10
 .B splint
 Allow splint-style lint comments (\fB/*@...@*/\fP)
-.LP
 .SH NOTES
 .LP
 The cstyle rule for the OS/Net consolidation is that all new files must
 be \fB-pP\fP clean.  For existing files, the following invocations are
 run against both the old and new files:
-.LP
 .TP 4
 \fBcstyle file\fB
-.LP
 .TP 4
 \fBcstyle -p file\fB
-.LP
 .TP 4
 \fBcstyle -pP file\fB
 .LP
 If the old file gave no errors for one of the invocations, the new file
 must also give no errors.  This way, files can only become more clean.
-.LP
 .SH CONTINUATION CHECKING
 .LP
 The continuation checker is a resonably simple state machine that knows
 something about how C is layed out, and can match parenthesis, etc. over
 multiple lines.  It does have some limitations:
-.LP
 .TP 4
 .B 1.
 Preprocessor macros which cause unmatched parenthesis will confuse the
 checker for that line.  To fix this, you'll need to make sure that each
 branch of the #if statement has balanced parenthesis.
-.LP
 .TP 4
 .B 2.
 Some \fBcpp\fP macros do not require ;s after them.  Any such macros
@@ -130,7 +112,6 @@
 \fB{\fP, or \fB}\fP.
 .LP
 Some continuation error messages deserve some additional explanation
-.LP
 .TP 4
 .B
 multiple statements continued over multiple lines
@@ -148,7 +129,6 @@
 .br
 a = b + c;
 .RE
-.LP
 .TP 4
 .B
 empty if/for/while body not on its own line
--- old/usr/src/tools/scripts/find_elf.1onbld	Tue Oct  6 20:55:32 2015
+++ new/usr/src/tools/scripts/find_elf.1onbld	Tue Oct  6 20:55:32 2015
@@ -19,19 +19,16 @@
 .\"
 .\" CDDL HEADER END
 .\"
-.TH find_elf 1ONBLD "25 March 2010"
+.TH FIND_ELF 1ONBLD "Mar 25, 2010"
 .SH NAME
 find_elf \- Locate ELF shared objects and executables
 .SH SYNOPSIS
 \fBfind_elf [-afrs] path\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "find_elf" "" "\fBfind_elf\fP"
 The
 .I find_elf
 command descends a directory hierarchy and produces one line
 of output on stdout for each ELF executable or shared object found.
-.LP
 .SH OPTIONS
 .LP
 The following options are supported:
@@ -56,7 +53,6 @@
 .TP 4
 .B \-s
 Only report shared objects.
-.LP
 .SH OUTPUT
 .LP
 .I find_elf
@@ -85,7 +81,7 @@
 .in -4
 .sp
 The first field provides the ELF class of the object, and will be
-either 32 or 64. 
+either 32 or 64.
 The second field provides the type of object, either
 a shared object (DYN) or executable (EXEC).
 The third field will be VERDEF if the object contains ELF
@@ -103,7 +99,7 @@
 .RS +4
 .TP
 .ie t \(bu
-.el o 
+.el o
 Symlinks such as '32' and '64' used to provide alternative
 non-machine specific paths to objects.
 .RE
@@ -123,7 +119,6 @@
 specified, each file results in a separate OBJECT line, as if they were
 independent files rather than the same file with different names.
 .sp
-.PP
 .SH EXAMPLES
 Assume the following hierarchy of files exist under /usr/lib/foo:
 .sp
@@ -151,7 +146,7 @@
 .sp
 This hierarchy contains compilation symlinks (libfoo.so) and
 path alias symlinks (32, 64), as discussed in OUTPUT.
-.p
+.P
 .I find_elf
 produces the following output for the above hierarchy:
 .sp
@@ -221,5 +216,4 @@
 .BR ldd (1),
 .BR elfdump (1),
 .BR pvs (1).
-.LP
-.TZ LLM
+
--- old/usr/src/tools/scripts/flg.flp.1onbld	Tue Oct  6 20:55:33 2015
+++ new/usr/src/tools/scripts/flg.flp.1onbld	Tue Oct  6 20:55:33 2015
@@ -20,15 +20,13 @@
 .\" "
 .\" "Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
 .\" "Use is subject to license terms."
-.TH flg.flp 1ONBLD "18 Oct 2002"
+.TH FLG.FLP 1ONBLD "Oct 18, 2002"
 .I flg.flp
 \- list the files that bringover would bring over due to inc.flg and
 req.flg files
 .SH SYNOPSIS
 \fBflg.flp [-r] [<dir>]
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "flg.flp" "" "\fBflg.flp\fP"
 .LP
 .I flg.flp
 uses the inc.flg and req.flg files contained within a workspace to
@@ -39,10 +37,10 @@
 At most one directory may be specified; if none is specified, the current
 working directory is assumed.  A relative directory is assumed to be
 relative to the current directory or relative to \fICODEMGR_WS\fP, in that
-order.  
+order.
 .SH OPTIONS
 .TP 10
-.B -r	
+.B -r
 Output the list of files relative to the current working directory, rather
 than \fICODEMGR_WS\fP.
 .SH SEE ALSO
--- old/usr/src/tools/scripts/hdrchk.1onbld	Tue Oct  6 20:55:33 2015
+++ new/usr/src/tools/scripts/hdrchk.1onbld	Tue Oct  6 20:55:33 2015
@@ -20,7 +20,7 @@
 .\" Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms.
 .\"
-.TH hdrchk 1ONBLD "02 July 2008"
+.TH HDRCHK 1ONBLD "Jul 02, 2008"
 .SH NAME
 hdrchk \- check that header files conform to ON standards
 .SH SYNOPSIS
@@ -27,21 +27,16 @@
 .nf
 \fBhdrchk\fR [\fB-a\fP] \fIfile\fR [\fIfile ...\fR]\fP
 .fi
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "hdrchk" "" "\fBhdrchk\fP"
 .LP
 .I hdrchk
 verifies that C header files (*.h) conform to the standards of the ON
 consolidation.
 See HEADER STANDARDS for details.
-.LP
 .SH OPTIONS
-.LP
 .TP 10
 .B -a
 Apply (more lenient) application header rules.
-.LP
 .SH HEADER STANDARDS
 .LP
 Standards for all header files:
@@ -48,7 +43,6 @@
 .TP 4
 .B 1.
 Begin with a comment containing a copyright message.
-.LP
 .TP 4
 .B 2.
 Enclosed in a guard of the form:
@@ -63,7 +57,6 @@
 The preferred form is without the bang character, but either is
 acceptable.
 .RE
-.LP
 .TP 4
 .B 3.
 Has a valid ident declaration.
@@ -76,11 +69,9 @@
 If it is installed in a subdirectory, it should be of the
 form '_\fBDIR\fP_\fBFILENAME\fP_H[_]', though this is not currently enforced.
 The form without the trailing underscore is preferred in both cases.
-.LP
 .TP 4
 .B 2.
 All #include directives must use the <> form.
-.LP
 .TP 4
 .B 3.
 If the header file contains anything besides comments and preprocessor
--- old/usr/src/tools/scripts/hgsetup.1onbld	Tue Oct  6 20:55:33 2015
+++ new/usr/src/tools/scripts/hgsetup.1onbld	Tue Oct  6 20:55:33 2015
@@ -20,18 +20,15 @@
 .\" Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms."
 .\"
-.TH hgsetup 1ONBLD "2 October 2008"
+.TH HGSETUP 1ONBLD "Oct 2, 2008"
 .SH NAME
 .I hgsetup
 \- sets up a user's ~/.hgrc for development of ON with Mercurial
 .SH SYNOPSIS
 \fBhgsetup [-f] [-c \fIcdm_path\fP] [-m \fImerge_path\fP] [-n \fIname\fP] [-e \fIemail\fP] [-p \fIproxy\fP] [-s \fIstyle_path\fP]
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "hgsetup" "" "\fBhgsetup\fP"
-.LP
 The hgsetup script sets up a user's ~/.hgrc (hgrc(5)) file for development
-of ON (OS/Net) with Mercurial.  
+of ON (OS/Net) with Mercurial.
 .LP
 It populates the author and email fields with the user's information.
 It loads the Cadmium extension.
@@ -54,7 +51,7 @@
 .TP 10
 .B -e
 Specify the email address to use for commits.
-For SWAN users the default is taken from an LDAP query, otherwise -e 
+For SWAN users the default is taken from an LDAP query, otherwise -e
 is mandatory.
 .TP 10
 .B -p
@@ -62,11 +59,9 @@
 .TP 10
 .B -s
 Override the path to the Mercurial style file
-.LP
 .SH OUTPUT
 .LP
 Generates a .hgrc file in the user's home directory.
-.LP
 .SH SEE ALSO
 .LP
 .IR hgrc(5),
--- old/usr/src/tools/scripts/interface_check.1onbld	Tue Oct  6 20:55:33 2015
+++ new/usr/src/tools/scripts/interface_check.1onbld	Tue Oct  6 20:55:33 2015
@@ -19,14 +19,12 @@
 .\"
 .\" CDDL HEADER END
 .\"
-.TH interface_check 1ONBLD "25 March 2010"
+.TH INTERFACE_CHECK 1ONBLD "Mar 25, 2010"
 .SH NAME
 interface_check \- check shared object interfaces
 .SH SYNOPSIS
 \fBinterface_check [-hIo] [-c vertype_module] [-E errfile] [-e exfile] [-f listfile] [-i intffile] [-w outdir] file | dir, ...\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "interface_check" "" "\fBinterface_check\fP"
 The
 .I interface_check
 command attempts to check a number of ELF versioning attributes
@@ -50,7 +48,7 @@
 .LP
 .I interface_check
 uses \fBelfdump(1)\fP and \fBpvs(1)\fP to
-check file naming standardization, and versioning consistency. These 
+check file naming standardization, and versioning consistency. These
 check are carried out for the following reasons:
 .TP 4
 \(bu
@@ -108,7 +106,7 @@
 When used with the \fI-i\fP option
 .I interface_check
 produces a more detailed breakdown of a shared objects versioning.
-This interface description file provides for the release-to-release 
+This interface description file provides for the release-to-release
 auditing of interfaces,
 and monitoring the evolution of the share objects interfaces.
 .LP
@@ -119,7 +117,6 @@
 detected by inspecting this database with
 .I interface_cmp.
 .sp
-.LP
 .SH OPTIONS
 .LP
 The following options are supported:
@@ -140,7 +137,7 @@
 supply the same module and calling interfaces as the standard module.
 .TP 4
 .B \-E errfile
-Direct error messages for the analyzed objects to \fIerrfile\fP instead 
+Direct error messages for the analyzed objects to \fIerrfile\fP instead
 of stdout.
 .TP 4
 .B \-e exfile
@@ -157,7 +154,7 @@
 analyze, in the format produced by '\fBfind_elf -r\fP'.
 .TP 4
 .B \-h
-Prevent the generation of the CDDL license and Sun copyright header 
+Prevent the generation of the CDDL license and Sun copyright header
 normally produced at the start of output.
 .TP 4
 .B \-I
@@ -175,12 +172,11 @@
 a single gate. See INTERFACE DESCRIPTION FILE FORMAT.
 .TP 4
 .B \-o
-Produce one-liner output, with each line of diagnostic output 
+Produce one-liner output, with each line of diagnostic output
 prefixed with the object pathname.
 .TP
 .B -w outdir
 Interpret the paths of all input and output files relative to \fIoutdir\fP.
-.LP
 .SH EXCEPTION FILE FORMAT
 Exceptions to the rules enforced by
 .I interface_check
@@ -194,13 +190,13 @@
 will use
 .I /opt/onbld/etc/exception_list/interface_check
 as a fallback default exception file.
-.p
+.P
 To run
 .I interface_check
 without applying exceptions, specify \fB-e\fP with a value of /dev/null.
 .P
 A '#' character at the beginning of a line, or at any point in
-a line when preceded by whitespace, introduces a comment. Empty lines, 
+a line when preceded by whitespace, introduces a comment. Empty lines,
 and lines containing only comments, are ignored by
 .I interface_check.
 Exceptions are specified as space separated keyword, and \fBperl(1)\fP
@@ -234,12 +230,10 @@
 are:
 .sp
 .ne 2
-.mk
 .na
 \fBNONSTD_VERNAME\fR
 .ad
 .RS 17n
-.rt
 .sp
 Objects that are allowed to deviate from our standard version names.
 .RE
@@ -246,12 +240,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBNOVERDEF\fR
 .ad
 .RS 17n
-.rt
 Objects that are not expected to contain versioning information.
 Note that PLUGIN objects are automatically exempt from this,
 so these directives are generally applied to non-plugin objects
@@ -259,22 +251,19 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBPLUGIN\fR
 .ad
 .RS 17n
-.rt
 Sharable objects underneath these parts of the tree are taken to be plugins.
 Plugins are not required to have versioned file names, and are not required
 to be internally versioned.
 .RE
-.LP
 .SH INTERFACE DESCRIPTION FILE FORMAT
 When the \fB-i\fP option is used
 .I interface_check
 produces an \fIInterface Description File\fP that captures a description of
-the interfaces provided by each ELF object processed. 
+the interfaces provided by each ELF object processed.
 .P
 Unless the \fB-h\fP option is used,
 .I interface_check
@@ -290,7 +279,6 @@
 .sp
 .in +4
 .nf
-.CR
 OBJECT	lib/amd64/libadm.so.1
 CLASS	ELFCLASS64
 TYPE	ET_DYN
@@ -330,7 +318,6 @@
 .sp
 .in +4
 .nf
-.CR
 OBJECT  lib/amd64/libadm.so.1
 CLASS   ELFCLASS64
 TYPE    ET_DYN
@@ -362,7 +349,6 @@
 .I interface_check
 and
 .I interface_cmp.
-.LP
 .SH EXAMPLES
 The following example uses
 .I interface_check
@@ -389,5 +375,5 @@
 .BR ldd(1),
 .BR elfdump(1),
 .BR pvs(1).
-.LP
-.TZ LLM
+
+
--- old/usr/src/tools/scripts/interface_cmp.1onbld	Tue Oct  6 20:55:33 2015
+++ new/usr/src/tools/scripts/interface_cmp.1onbld	Tue Oct  6 20:55:33 2015
@@ -19,14 +19,12 @@
 .\"
 .\" CDDL HEADER END
 .\"
-.TH interface_cmp 1ONBLD "25 March 2010"
+.TH INTERFACE_CMP 1ONBLD "Mar 25, 2010"
 .SH NAME
 interface_cmp \- compare shared object interface descriptions
 .SH SYNOPSIS
 \fBinterface_cmp [-dot] [-e exfile] old new\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "interface_cmp" "" "\fBinterface_cmp\fP"
 The
 .I interface_cmp
 command compares the interface definition files for two workspaces
@@ -48,9 +46,7 @@
 symbol to be viewed as existing in multiple definitions. This insures
 that both version definitions and their inheritance relationship are
 processed as part of the comparison.
-.LP
 .SH OPTIONS
-.LP
 The following options are supported:
 .TP 4
 .B \-c vertype_module
@@ -87,7 +83,6 @@
 ones should be removed before the product ships.
 .RE
 .sp
-.LP
 .TP 4
 .B \-e exfile
 An exception file is used to exclude objects from
@@ -94,7 +89,7 @@
 the usual rules. See EXCEPTION FILE FORMAT.
 .TP 4
 .B \-o
-Produce one-liner output, with each line of diagnostic output 
+Produce one-liner output, with each line of diagnostic output
 prefixed with the object pathname.
 .TP 4
 .B \-t
@@ -107,9 +102,8 @@
 and the output from
 .I interface_cmp
 \fB-t\fP
-should be identical, excluding header comments. 
+should be identical, excluding header comments.
 This is a debugging feature, and not intended for general use.
-.LP
 .SH EXCEPTION FILE FORMAT
 Exceptions to the rules enforced by
 .I interface_cmp
@@ -123,13 +117,13 @@
 will use
 .I /opt/onbld/etc/exception_list/interface_cmp
 as a fallback default exception file.
-.p
+.P
 To run
 .I interface_cmp
 without applying exceptions, specify \fB-e\fP with a value of /dev/null.
 .P
 A '#' character at the beginning of a line, or at any point in
-a line when preceded by whitespace, introduces a comment. Empty lines, 
+a line when preceded by whitespace, introduces a comment. Empty lines,
 and lines containing only comments, are ignored by
 .I interface_cmp.
 Exceptions are specified as space separated keyword, and \fBperl(1)\fP
@@ -164,14 +158,12 @@
 are:
 .sp
 .ne 2
-.mk
 .na
 \fBADDSYM\fR sym_re version_re object_re
 .ad
 .RS 17n
-.rt
 .sp
-The interfaces in a given version are not supposed to change. 
+The interfaces in a given version are not supposed to change.
 .I interface_cmp
 will normally issue an error if a new interface is added to a previously
 released version. ADDSYM is used to override this
@@ -181,12 +173,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBDELDYM\fR sym_re version_re object_re
 .ad
 .RS 17n
-.rt
 .sp
 Once released to the public, interfaces are required to remain available
 in subsequent releases. DELSYM is used to override this
@@ -197,12 +187,10 @@
 
 .sp
 .ne 2
-.mk
 .na
 \fBEMPTY_TOPVERSION\fR version_re object_re
 .ad
 .RS 17n
-.rt
 .sp
 .I
 interface_cmp
@@ -213,7 +201,6 @@
 the regular expressions specified by EMPTY_TOPVERSION, the error is suppressed.
 .RE
 
-.PP
 .SH EXAMPLES
 The following example uses
 .I interface_cmp
@@ -241,5 +228,3 @@
 .BR ldd(1),
 .BR elfdump(1),
 .BR pvs(1).
-.LP
-.TZ LLM
--- old/usr/src/tools/scripts/jstyle.1onbld	Tue Oct  6 20:55:33 2015
+++ new/usr/src/tools/scripts/jstyle.1onbld	Tue Oct  6 20:55:33 2015
@@ -20,15 +20,13 @@
 .\"
 .\" CDDL HEADER END
 .\"
-.TH jstyle 1ONBLD "22 November 2005"
+.TH JSTYLE 1ONBLD "Nov 22, 2005"
 .SH NAME
 .I jstyle
 \- check for some common stylistic errors in Java source files
 .SH SYNOPSIS
 \fBjstyle [-chptvC] [file...]\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "jstyle" "" "\fBjstyle\fP"
 .LP
 .B jstyle
 inspects Java source files (*.java) for common stylistic errors.  It
@@ -43,7 +41,6 @@
 .BR jstyle (1ONBLD)
 clean does not
 mean that you've followed Sun's Java style.  \fICaveat emptor\fP.
-.LP
 .SH OPTIONS
 .LP
 The following options are supported:
@@ -54,16 +51,12 @@
 and any continuation lines after them must be indented \fIexactly\fP four
 spaces from the start line.  This option enables a series of checks
 designed to find contination line problems within functions only.
-.LP
 .TP 4
 .B \-h
 Performs heuristic checks that are sometimes wrong.  Not generally used.
-.LP
 .TP 4
 .B \-p
 Performs some of the more picky checks.  You should generally use this.
-.LP
-.LP
 .TP 4
 .B \-t
 Insists on indentation with tabs.  Because of the depth of nested blocks
@@ -74,17 +67,13 @@
 four columns wide (not acceptable for ON), or are writing simple enough
 code that the nesting is not very deep, this option might be useful.
 Otherwise, avoid it.
-.LP
 .TP 4
 .B \-v
 Verbose output; includes the text of the line of error.
-.LP
 .TP 4
 .B \-C
 Ignore errors in header comments (i.e., block comments starting in the
 first column).  Not generally used.
-.LP
-.LP
 .SH NOTES
 .LP
 The jstyle rule for the OS/Net consolidation is that all new files must
@@ -92,16 +81,13 @@
 .B -p
 clean.  For existing files, the following invocations are
 run against both the old and new files:
-.LP
 .TP 4
 .B "jstyle file"
-.LP
 .TP 4
 .B "jstyle -p file"
 .LP
 If the old file gave no errors for one of the invocations, the new file
 must also give no errors.  This way, files cannot become unclean.
-.LP
 .SH BUGS
 .LP
 .BR jstyle (1ONBLD)
--- old/usr/src/tools/scripts/mapfilechk.1onbld	Tue Oct  6 20:55:34 2015
+++ new/usr/src/tools/scripts/mapfilechk.1onbld	Tue Oct  6 20:55:34 2015
@@ -19,7 +19,7 @@
 .\"
 .\" Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms.
-.TH mapfilechk 1ONBLD "27 January 2009"
+.TH MAPFILECHK 1ONBLD "Jan 27, 2009"
 .SH NAME
 mapfilechk \- Check for valid link-editor mapfile header blocks
 .SH SYNOPSIS
@@ -26,18 +26,13 @@
 .nf
 \fBmapfilechk \fR [\fB-v\fR] [\fB-x\fR \fIexceptions_file\fR] [\fIpath\fR...]
 .fi
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "mapfilechk" "" "\fBmapfilechk\fP"
 mapfilechk inspects link-editor mapfiles for missing, obsolete,
 or corrupt mapfile header blocks.
-.LP
 .SH OPTIONS
-.LP
 .TP 4
 .B \-v
 Report on all files, not just those with invalid headers
-.LP
 .TP 4
 .B \-x \fIexceptions_file\fR
 Load an exceptions file containing a list of files, directories and
@@ -61,18 +56,15 @@
 .el o
 File extensions, specified with a leading '*.'
 .RE
-.LP
 .SH EXIT STATUS
 .TP 4
 .B 0
 The command completed successfully.
 No errors or warnings were reported
-.LP
 .TP 4
 .B 1
 The command completed unsuccessfully.
 One or more errors or warnings were reported.
-.LP
 .TP 4
 .B 2
 Invalid command-line arguments were specified to the command.
--- old/usr/src/tools/scripts/nightly.1onbld	Tue Oct  6 20:55:34 2015
+++ new/usr/src/tools/scripts/nightly.1onbld	Tue Oct  6 20:55:34 2015
@@ -19,15 +19,13 @@
 .\" "Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
 .\" "Copyright 2012 Joshua M. Clulow <josh@sysmgr.org>
 .\" "
-.TH nightly 1ONBLD "Jan 28, 2014"
+.TH NIGHTLY 1ONBLD "Jan 28, 2014"
 .SH NAME
 .I nightly
 \- build an OS-Net consolidation overnight
 .SH SYNOPSIS
 \fBnightly [-in] [-V VERS] <env_file>\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "nightly" "" "\fBnightly\fP"
 .LP
 .I nightly,
 the mother of all build scripts,
@@ -102,7 +100,7 @@
 the environment variables in the
 .I env
 file, the only necessary argument.  Ths only thing you really
-need to use 
+need to use
 .I nightly
 is an
 .I env
@@ -114,7 +112,6 @@
 tree.  It has what is effectively a Consolidation Private relationship
 to other build tools and with many parts of the OS/Net makefiles,
 although it may also be used to build other consolidations.
-.LP
 .SH NIGHTLY_OPTIONS
 The environment variable NIGHTLY_OPTIONS controls the actions
 .I nightly
@@ -229,19 +226,16 @@
 .B \-V VERS
 set the build version string to VERS, overriding VERSION
 
-.LP
 .SH ENVIRONMENT VARIABLES
 .LP
-Here is a list of prominent environment variables that 
+Here is a list of prominent environment variables that
 .I nightly
 references and the meaning of each variable.
-.LP
-.RE
 .B CODEMGR_WS
 .RS 5
 The root of your workspace, including whatever metadata is kept by
 the source code management system.  This is the workspace in which the
-build will be done. 
+build will be done.
 .RE
 .LP
 .B PARENT_WS
@@ -249,7 +243,7 @@
 The root of the workspace that is the parent of the
 one being built.  This is particularly relevant for configurations
 with a main
-workspace and build workspaces underneath it; see the 
+workspace and build workspaces underneath it; see the
 \-u and \-U
 options as well as the PKGARCHIVE environment variable, for more
 information.
@@ -385,7 +379,7 @@
 .LP
 .B RELEASE_BUILD
 .RS 5
-Define this to build a release with a non-DEBUG kernel. 
+Define this to build a release with a non-DEBUG kernel.
 Generally, let
 .I nightly
 set this for you based on its options.
@@ -461,7 +455,7 @@
 .B ON_CLOSED_BINS
 .RS 5
 OpenSolaris builds do not contain the closed source tree.  Instead,
-the developer downloads a closed binaries tree and unpacks it.  
+the developer downloads a closed binaries tree and unpacks it.
 .B ON_CLOSED_BINS
 tells nightly
 where to find these closed binaries, so that it can add them into the
@@ -485,13 +479,12 @@
 .LP
 .B MULTI_PROTO
 .RS 5
-If "no" (the default), 
+If "no" (the default),
 .I nightly
 will reuse $ROOT for both the DEBUG and non-DEBUG builds.  If "yes",
 the DEBUG build will go in $ROOT and the non-DEBUG build will go in
 $ROOT-nd.  Other values will be treated as "no".
 .RE
-.LP
 .SH NIGHTLY HOOK ENVIRONMENT VARIABLES
 .LP
 Several optional environment variables may specify commands to run at
@@ -534,7 +527,6 @@
 This is reserved for per-build-machine customizations, and runs
 immedately after POST_NIGHTLY.
 .RE
-.LP
 .SH FILES
 .LP
 .RS 5
@@ -543,7 +535,7 @@
 .LP
 If present, nightly executes this file just prior to executing the
 .I env
-file.  
+file.
 .SH EXAMPLES
 .LP
 Start with the example file in usr/src/tools/env/developer.sh
@@ -558,6 +550,5 @@
 .LP
 # /opt/onbld/bin/nightly -i myenv
 .PD
-.LP
 .SH SEE ALSO
 .BR bldenv (1ONBLD)
--- old/usr/src/tools/scripts/onu.1onbld	Tue Oct  6 20:55:34 2015
+++ new/usr/src/tools/scripts/onu.1onbld	Tue Oct  6 20:55:34 2015
@@ -20,7 +20,7 @@
 .\" "Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 .\" "Copyright 2010, Richard Lowe
 .\" "
-.TH onu 1ONBLD "28 August 2010"
+.TH ONU 1ONBLD "Aug 28, 2010"
 .SH NAME
 .I onu
 \- OS/Net Update
@@ -28,11 +28,9 @@
 \fBonu [opts] [-s <beName>] -t <beName>\fP
 .br
 \fBonu [opts] -r\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "onu" "" "\fBonu\fP"
 .LP
-.I onu 
+.I onu
 is a replacement for
 .I bfu
 used to update a system with the latest set of IPS packages for the ON
@@ -43,7 +41,7 @@
 The following global options are supported:
 .TP 4
 .B \-c <consolidation>
-Specifies the consolidation being installed via 
+Specifies the consolidation being installed via
 .IR onu ,
 used to locate the publisher from which that consolidation is currently
 installed.  This is almost always "osnet".
@@ -92,11 +90,9 @@
 .B 0
 The command completed successfully.
 No errors or warnings were reported.
-.LP
 .TP 4
 .B 1
 Incorrect usage.
-.LP
 .TP 4
 .B 2
 One of the commands used by the script failed.
@@ -134,29 +130,14 @@
 .LP
 \fBExample 1\fR Installing latest ON nightly build
 .LP
-.SP
-.IN +2
-.NF
 # onu -t new-nightly-be
-.FI
-.IN -2
-.SP
 .LP
 \fBExample 2\fR Installing an ON build from a directory
 .LP
-.SP
-.IN +2
-.NF
 # onu -d /path/to/my/ws/packages/`uname -p`/nightly -t new-nightly-be
-.FI
-.IN -2
-.SP
 .LP
 \fBExample 3\fR Installing additional packages in the new BE
 .LP
-.SP
-.IN +2
-.NF
 # onu -d /path/to/my/ws/packages/`uname -p`/nightly -t new-nightly-be
 .br
 # reboot
@@ -166,9 +147,6 @@
 # pkg install netcat
 .br
 #
-.FI
-.IN -2
-.SP
 .SH ENVIRONMENT
 .LP
 ONURI
@@ -183,7 +161,6 @@
 If the -U option is not provided, and this variable is set, it will be
 used as the publisher name for the packaging repository.  If -U is not
 provided and this variable is not set, on-nightly will be used.
-.LP
 .SH SEE ALSO
 .BR beadm "(1M), "
 .BR pkg "(1), "
--- old/usr/src/tools/scripts/sccscheck.1onbld	Tue Oct  6 20:55:34 2015
+++ new/usr/src/tools/scripts/sccscheck.1onbld	Tue Oct  6 20:55:34 2015
@@ -20,15 +20,15 @@
 .\" Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms.
 .\"
-.TH sccscheck 1ONBLD "7 April 2006"
+.TH SCCSCHECK 1ONBLD "Apr 7, 2006"
 .SH NAME
 .I sccscheck
-\- 
+\-
 .SH SYNOPSIS
 .B sccscheck
 filename
 .SH DESCRIPTION
-The standard solaris 
+The standard solaris
 .I make(1)
 is SCCS-aware, automatically checking out files if they are out of
 date with respect to the SCCS file; however, this is of little value
--- old/usr/src/tools/scripts/webrev.1onbld	Tue Oct  6 20:55:34 2015
+++ new/usr/src/tools/scripts/webrev.1onbld	Tue Oct  6 20:55:34 2015
@@ -22,7 +22,7 @@
 .\" Use is subject to license terms.
 .\"
 .\"
-.TH webrev 1ONBLD "7 Feb 2014"
+.TH WEBREV 1ONBLD "Feb 7, 2014"
 .SH NAME
 webrev \- Generate HTML codereview materials
 .SH SYNOPSIS
@@ -110,7 +110,7 @@
 .SH SCM INTERACTIONS
 .PP
 .B webrev
-attempts to interact with the source code management system currently in use.  
+attempts to interact with the source code management system currently in use.
 .B webrev
 needs to be able locate the code under review (i.e. the workspace) and
 the basis for comparison (i.e. the parent).  The method for doing so
@@ -251,7 +251,7 @@
 given workspace.  By default,
 .B webrev
 will attempt to autodetect the
-list of changed files by first consulting 
+list of changed files by first consulting
 .BR wx "(1)."
 If this information is not available, webrev tries to consult the SCM (Source
 Code Manager) currently in use.  If that fails, the user must intervene by
@@ -446,5 +446,7 @@
 
 Have fun!
 .br
+.nf
 		Brent Callaghan  11/28/96
+.fi
 
--- old/usr/src/tools/scripts/which_scm.1onbld	Tue Oct  6 20:55:34 2015
+++ new/usr/src/tools/scripts/which_scm.1onbld	Tue Oct  6 20:55:34 2015
@@ -21,7 +21,7 @@
 .\" Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 .\" Use is subject to license terms.
 .\"
-.TH which_scm 1ONBLD "18 September 2009"
+.TH WHICH_SCM 1ONBLD "Sep 18, 2009"
 .SH NAME
 which_scm \- Report Source Code Management system
 .SH SYNOPSIS
--- old/usr/src/tools/scripts/ws.1onbld	Tue Oct  6 20:55:35 2015
+++ new/usr/src/tools/scripts/ws.1onbld	Tue Oct  6 20:55:35 2015
@@ -21,18 +21,16 @@
 .\" "Copyright 2004 Sun Microsystems, Inc."
 .\" "All rights reserved"
 .\" "Use is subject to license terms."
-.TH WS 1ONBLD "28 January 1992"
+.TH WS 1ONBLD "Jan 28, 1992"
 .SH NAME
-.I ws 
+.I ws
 \- enable SunOS avocet environments
 .SH SYNOPSIS
 .B ws
 [-e] [workspace_name]
-.LP
 .SH DESCRIPTION
-.IX "Avocet" "ws" "" "\fBws\fP"
 .LP
-.I Ws 
+.I Ws
 will configure your environment to build the SunOS
 source base from an
 .I avocet
@@ -39,7 +37,7 @@
 workspace.  The
 .I ws
 script sets up the environment variables for a SunOS avocet
-workspace and spawns a shell for the environment 
+workspace and spawns a shell for the environment
 that has been setup.  In configuring the environment
 .I ws
 sets up the environment variables to define in which proto areas
@@ -76,7 +74,7 @@
 maps.  If <workspace> is is a relative pathname not found
 in the current directory, check for it in those
 directories listed in the CODEMGR_WSPATH variable (refer to the
-workspace(1) man page for more info on CODEMGR_WSPATH).  
+workspace(1) man page for more info on CODEMGR_WSPATH).
 .LP
 Note that if a workspace argument is not given ws will try to determine
 if the current directory is in a workspace and set the environment for
@@ -83,8 +81,8 @@
 that workspace.
 .LP
 .I ws
-will also check for the presense of the ONBLD construction set 
-(/opt/onbld), if it is found it will prepend the 
+will also check for the presense of the ONBLD construction set
+(/opt/onbld), if it is found it will prepend the
 ONBLD construction set directory to the front of your PATH.
 If you set your path in your shell
 start-up file (eg: .cshrc) then that will undo what what
@@ -91,7 +89,7 @@
 .I ws
 has done.  If you do this in your shell start-up script,
 conditionally protect
-.I ws 
+.I ws
 from your modification with something like this:
 .LP
 .RS 5
@@ -103,21 +101,18 @@
 .RE
 .LP
 NOTE: this is a csh example, the code would vary with the shell type.
-.LP
 .SH OPTIONS
-.LP
 .TP
 .B \-e
 prevent ws from calling exit or exec, useful for setting environment in
 another Bourne (sh) compatible shell (hint: source ws -e)
-.LP
 .SH USAGE
 .LP
-At start-up time 
-.I ws 
+At start-up time
+.I ws
 will determine the number of proto areas to
 be searched and in what order.  This information is configured
-during the first invocation of 
+during the first invocation of
 .I ws
 for each workspace in the protodefs
 file.  This file is located under the avocet directory
@@ -129,11 +124,11 @@
 .fi
 .RE
 .LP
-In this file you may configure from one to four proto 
-variables (PROTO1, PROTO2, PROTO3, TERMPROTO).  
+In this file you may configure from one to four proto
+variables (PROTO1, PROTO2, PROTO3, TERMPROTO).
 These variables define the order in
 which the proto areas will be searched, starting with the PROTO1
-directory and ending in the PROTO3 directory.  
+directory and ending in the PROTO3 directory.
 .LP
 When you define the PROTO hierarchy you are defining a list of proto
 directories in which to search for header files and libraries during
@@ -143,10 +138,10 @@
 .LP
 Also, your initial value for ROOT will be assigned to PROTO1.  This
 means that if you do any install builds in the SunOS source tree;
-they will install in the proto area pointed to by PROTO1. 
+they will install in the proto area pointed to by PROTO1.
 .LP
 The format for the protodefs file is very simple, it follows the
-shell script formats for assigning variables.  Here is an 
+shell script formats for assigning variables.  Here is an
 example of some definitions
 you might find in a protodefs file:
 .LP
@@ -157,7 +152,7 @@
 .fi
 .RE
 .LP
-The above example would specify 
+The above example would specify
 that the current workspaces proto area is
 to be searched first, and then the parent workspace's proto area will be
 searched for included files and libraries.  In that order.
@@ -164,7 +159,7 @@
 .LP
 The TERMPROTO variable is a special case from PROTO{1-3}, it is
 used to specify a terminating search path for your compiling
-and linking.  If you specify a TERMPROTO directory then during 
+and linking.  If you specify a TERMPROTO directory then during
 your compile and link your search path for libraries and include
 files will terminate there.  If you do not specify the
 TERMPROTO variable, then the terminating point for searches will
@@ -173,25 +168,24 @@
 .LP
 The default values for PROTO1 and PROTO2 will be set by
 .I ws
-initially to point to your current workspaces proto area and 
+initially to point to your current workspaces proto area and
 the proto area
 of the workspace's parent, if the parent is an Avocet
-workspace.  
+workspace.
 .LP
 The PROTO{1-3} variables will then be used to set your ROOT variable and
 to set the ENVCPPFLAGS{1-4} and the ENVDLLIBS{1-3} environment variables.
 These will be set to an architecture specific directory under
 each PROTO* directory.  If, for example, PROTO1 had been set
-to PROTO1=/ws/train/proto then ROOT would be set to 
+to PROTO1=/ws/train/proto then ROOT would be set to
 ROOT=/ws/train/proto/root_${MACH}.  MACH would be equal to the
 architecture of the machine you are running on (ie: `uname -p`).
 .LP
 The exception to this is if there is already an existing non-architecture
-specific populated proto area 
+specific populated proto area
 under one of the PROTO{1-3} variables.  If this is the case then the
 ROOT and other flags will be based on that instead of an architecture
 specific sub-directory.
-.LP
 .SH ISSUES
 .LP
 The use of Constrained Files is very different between an NSE
@@ -205,11 +199,11 @@
 In an NSE environment the user was isolated from updates to both
 constrained files and source files
 alike in the parent environment.  You did not see updates
-to constrained files until you 
-.I resynced 
+to constrained files until you
+.I resynced
 a command or object which depended on the
-constrained file in question.  
-This is no longer the case under Avocet.  
+constrained file in question.
+This is no longer the case under Avocet.
 .LP
 If you are using
 .I ws
@@ -228,7 +222,7 @@
 If you would like to be isolated from updates in the
 world around you there are a couple of approaches you can take.  First,
 if you bringover a full copy of the SunOS source base you could
-build your own PROTO area which you would link against.  
+build your own PROTO area which you would link against.
 Secondly, you could link against a private
 PROTO area which is a stable snapshot of a global proto area.
 This proto area could be a subset
@@ -237,10 +231,9 @@
 because you would be in full control of the proto areas you are linking
 against.  It would be your responsiblity to update your proto area
 as your work progressed.
-.LP
 .SH EXAMPLES
 .LP
-In the following examples you will modify the 
+In the following examples you will modify the
 ${CODEMGR_WS}/avocet/sunos/protodefs file to define PROTO{1-3}
 to configure a proto hierarchy to be associated with your
 avocet workspace.  I have selected the four
@@ -247,18 +240,18 @@
 most common examples that will be used with avocet workspaces,
 there can be many other combinations.
 .LP
-In the first example we will 
-configure a workspace named 
+In the first example we will
+configure a workspace named
 caltrans:/bld/child,
 and it is a child of an avocet workspace named dunk:/build/parent.  The
 parent workspace (dunk:/build/parent)
 is a complete copy of the usr/src source tree, while the
 current workspace(caltrans:/bld/child) is a subset of the full
-source base.  The current(child) workspace only contains the usr/src/cmd 
+source base.  The current(child) workspace only contains the usr/src/cmd
 directories.  The proto areas that
 we want to search are the current workspaces proto area(/bld/child/proto)
 and then the proto area of the parent(/net/dunk/build/parent/proto), in that
-order.  
+order.
 Actually, this example is the default behavior if the workspace
 is not a child of an NSE parent.  No modification would actually have
 to have been done to the protodefs file.
@@ -274,10 +267,10 @@
 This example represents a model where the current workspaces needs
 to reference a superset of its own proto area in order to build.
 .LP
-Secondly, let us consider a workspace you have named 
+Secondly, let us consider a workspace you have named
 polyslo:/charlie/tuna.  Your
 workspace only contains the source code for the usr/src/cmd
-directories.  Secondly, your avocet parent(dunk:/build/popeye) is not a 
+directories.  Secondly, your avocet parent(dunk:/build/popeye) is not a
 full copy of
 the source base, but it does have some files in the proto area which
 you want to refer to.  Lastly, you have a global proto area which you
@@ -291,7 +284,7 @@
 PROTO1=/charlie/tuna/proto
 PROTO2=/net/dunk/build/popeye/proto
 PROTO3=/net/rainman/space/I-team-protoarea
-.fi 
+.fi
 .RE
 .LP
 The above model is meant to show you some of the configurability that can
@@ -299,7 +292,7 @@
 .I ws.
 Here you have three proto areas that are searched one after the other.  You
 might configure an environment like this if needed to refer to some
-files that are in the PROTO2 area, but these files are not 
+files that are in the PROTO2 area, but these files are not
 easily placed into the 'global' I-Team proto area of PROTO3.  It should
 also be noted that there is a performance penalty for such a configuration.
 During each compile the compiler is now potentially searching through
@@ -316,7 +309,7 @@
 located at rainman:/space/global_proto_area.  In the protodefs file
 we will only need to define PROTO1 for this example:
 .RS 5
-.nf 
+.nf
 PROTO1=/net/rainman/space/global_proto_area
 .fi
 .RE
@@ -327,14 +320,14 @@
 include files and libraries will be pulled from the I-TEAM proto area.
 The advantage to this model is speed, there is only one area in which
 the compiler is going to search for include files and libraries, this
-will help the compilers performance.  Also, you should be aware that 
+will help the compilers performance.  Also, you should be aware that
 ROOT is equal to PROTO1.  If you attempt to do an install build it
 will attempt to modify the I-Team proto area that you are pointing at!
 .LP
-Lastly, we have an avocet workspace named 
-caltrans:/bld/nse_child which is the child of an NSE environment.  
+Lastly, we have an avocet workspace named
+caltrans:/bld/nse_child which is the child of an NSE environment.
 Because the parent of the workspace is an NSE environment, that parent
-does not have a PROTO area associated with it that we can 
+does not have a PROTO area associated with it that we can
 refer to.  Instead there is a global PROTO area that is maintained
 by our 'I-Team' leader that we will refer to.  That global area
 is located at rainman:/space/I-team-protoarea.  Here is what
@@ -348,18 +341,16 @@
 .RE
 .LP
 This model differs from the one above in that we can not reference
-the parents proto area because the parent in an NSE environment.  
+the parents proto area because the parent in an NSE environment.
 Instead for our second proto area we point to a stable proto
 area outside of the NSE.
-.LP
 .SH ENVIRONMENT VARIABLES
 .LP
-Here is a list of the environment variables that 
+Here is a list of the environment variables that
 .I ws
 will set and how they are used:
 .LP
-CODEMGR_WS         
-.fi
+CODEMGR_WS
 .RS 5
 Absolute pathname to the Avocet workspace.  This environment variable
 is referenced by the
@@ -377,32 +368,32 @@
 .RE
 ROOT
 .RS 5
-Initial proto area for this workspace.  Again this is used by the 
+Initial proto area for this workspace.  Again this is used by the
 SunOS Makefiles.  This value is set based on PROTO1 as defined in
-the protodefs file.  ROOT is also the destination of 
-.I install 
+the protodefs file.  ROOT is also the destination of
+.I install
 operations.
 .RE
 PARENT_ROOT
 .RS 5
-Parent proto area for this workspace.  This is used by the 
+Parent proto area for this workspace.  This is used by the
 SunOS Makefiles.  This value is set based on PROTO2 as defined in
-the protodefs file. 
+the protodefs file.
 .RE
 PATH
 .RS 5
-If the construction set exists (/opt/onbld) it will  be prepended to 
+If the construction set exists (/opt/onbld) it will  be prepended to
 the search path.
 .RE
 MAKEFLAGS
 .RS 5
-Default MAKEFLAGS used by 
+Default MAKEFLAGS used by
 .I make,
 set to 'e' for higher environment precedence.
 .RE
 ENVCPPFLAGS{1-4}
 .RS 5
-This set of environment variables is used to set the 
+This set of environment variables is used to set the
 CPPFLAGS.master macro within the SunOS source tree.  These values
 usually point to a hierarchy of Include directories for the build
 to search through.
@@ -413,13 +404,11 @@
 macro within the SunOS source tree.  These values usually point
 to a hierarchy of directories to search for libraries.
 .RE
-.LP
 .SH FILES
 .LP
 .nf
 $CODEMGR_WS/avocet/sunos/protodefs
 .fi
-.LP
 .SH "SEE ALSO"
 .LP
 .IR workspace (1),
@@ -426,7 +415,6 @@
 .IR bringover (1ONBLD),
 .IR putback (1),
 .IR protodefs(5)
-.LP
 .SH BUGS
 .LP
 TERMPROTO is broken.
@@ -436,7 +424,7 @@
 .LP
 .I ws
 can have problems with the automounter.  If you refer to a workspace
-using a relative path, and that workspace is mounted via the automounter, 
+using a relative path, and that workspace is mounted via the automounter,
 then that workspace will be refered to via the /tmp_mnt/*
 location.  It's best to deal with automounted workspaces through
 an absolute pathname when running
--- old/usr/src/tools/scripts/wsdiff.1onbld	Tue Oct  6 20:55:35 2015
+++ new/usr/src/tools/scripts/wsdiff.1onbld	Tue Oct  6 20:55:35 2015
@@ -19,14 +19,12 @@
 .\" "
 .\" " Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 .\" "
-.TH wsdiff 1ONBLD "15 Jul 2010"
+.TH WSDIFF 1ONBLD "Jul 15, 2010"
 .I wsdiff
 \- report differences between proto area objects
 .SH SYNOPSIS
 \fBwsdiff [-dvVst] [-r \fIresults\fP] [-i \fIfilelist\fP] \fIold\fP \fInew\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "wsdiff" "" "\fBwsdiff\fP"
 .LP
 The wsdiff utility detects and reports on object differences found between
 two proto areas constructed from the same workspace. This can be useful
@@ -71,13 +69,11 @@
 .B -i
 Specify which objects should be compared by wsdiff via an input file list (See
 EXAMPLES).
-.LP
 .SH OUTPUT
 .LP
 The list of objects appearing to differ between \fIold\fP and \fInew\fP is
 printed to stdout. If -r was specified, the list of differing objects and
 their differrences are logged to \fIresults\fP.
-.LP
 .SH EXAMPLES
 .PP
 \fBExample 1: Using wsdiff to determine patch deliverables\fR
@@ -149,7 +145,6 @@
 >     lgrp_cpu_init+0x168:    d6 04 e0 00  ld        [%l3], %o3
 >     lgrp_cpu_init+0x16c:    80 a2 e0 00  cmp       %o3, 0x0
 
-...
 
 .fi
 .PP
@@ -191,7 +186,6 @@
 .PP
 Note that this variable is also used for nightly(1ONBLD) so when run from
 nightly(1ONBLD), wsdiff will honor the setting.
-.LP
 .SH SEE ALSO
 .LP
 .IR nightly(1ONBLD),
--- old/usr/src/tools/scripts/xref.1onbld	Tue Oct  6 20:55:35 2015
+++ new/usr/src/tools/scripts/xref.1onbld	Tue Oct  6 20:55:35 2015
@@ -19,15 +19,13 @@
 .\" "
 .\" "Copyright 2009 Sun Microsystems, Inc.  All rights reserved."
 .\" "Use is subject to license terms."
-.TH xref 1ONBLD "10 Aug 2009"
+.TH XREF 1ONBLD "Aug 10, 2009"
 .SH NAME
 .I xref
 \- build and maintain source cross-references
 .SH SYNOPSIS
 \fBxref [-cfp] [-m <makefile>] [-x cscope|ctags|etags[,...]] [<subtree> ...]\fP
-.LP
 .SH DESCRIPTION
-.IX "OS-Net build tools" "xref" "" "\fBxref\fP"
 .LP
 .I xref
 is a simple tool for building and maintaining source cross-references for
@@ -38,7 +36,9 @@
 matching -- by default, files matching the following patterns are
 eligible:
 
+.nf
 	*.[Ccdshlxy] Makefile* *.il* *.cc llib-* *.xml *.dtd.* *.ndl
+.fi
 
 However, this default behavior can be changed, either through command-line
 options or by setting the cross-reference customization macros (see
@@ -143,14 +143,12 @@
 XRDIRS=uts/common/fs/zfs common/zfs lib/libzfs cmd/zfs cmd/zpool
 .fi
 $ xref -f -x cscope -m /tmp/zfs.mk
-.LP
 .SH ENVIRONMENT VARIABLES
 Because xref uses xref.mk to carry out the requested operations and
 invokes make(1) with the -e option, the value of any macros used by
-xref.mk can be overridden through environment variables.  This is 
+xref.mk can be overridden through environment variables.  This is
 chiefly useful for customizing the programs used to build the cross
 references; see \fIEXAMPLES\fP.
-.LP
 .SH SEE ALSO
 .LP
 .IR make(1),
